unit uZehnmal;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Grids, ExtCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Tabelle: TStringGrid;
    Abbruch: TButton;
    procedure AbbruchClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
implementation

{$R *.DFM}

procedure TForm1.AbbruchClick(Sender: TObject);
begin
  close;
end;

procedure TForm1.FormCreate(Sender: TObject);
var x, y : Integer;
begin
  {Kopfzeile und Kopfspalte}
  for y:= 1 to 10 do
    Tabelle.Cells[0,y]:= inttostr(y);
  for x:= 1 to 10 do
    Tabelle.Cells[x,0]:= inttostr(x);
  {Eintragen in die Tabelle}
  for y:= 1 to 10 do
   for x := 1 to 10 do
    Tabelle.Cells[x,y]:= inttostr(x*y);
end;
end.
